---
title: Window.scrollY
slug: Web/API/Window/scrollY
tags:
  - API
  - CSSOM View
  - NeedsMarkupWork
  - Property
  - Reference
  - Window
  - scrollY
---
<div>{{APIRef("CSSOM View")}}</div>

<p><span class="seoSummary">The read-only <code><strong>scrollY</strong></code> property of the {{domxref("Window")}} interface returns the number of pixels that the document is currently scrolled vertically.</span> This value is subpixel precise in modern browsers, meaning that it isn't necessarily a whole number. You can get the number of pixels the document is scrolled horizontally from the {{domxref("Window.scrollX", "scrollX")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var y = window.scrollY</pre>

<h3 id="Value">Value</h3>

<p>In practice, the returned value is a double-precision floating-point value indicating the number of pixels the document is currently scrolled vertically from the origin, where a positive value means the content is scrolled to upward. If the document is rendered on a subpixel-precise device, then the returned value is also subpixel-precise and may contain a decimal component. If the document isn't scrolled at all up or down, then <code>scrollY</code> is 0.</p>

<div class="note">
<p>If you need an integer value, you can use {{jsxref("Math.round()")}} to round it off.</p>
</div>

<p>In more technical terms, <code>scrollY</code> returns the Y coordinate of the top edge of the current {{Glossary("viewport")}}. If there is no viewport, the returned value is 0.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">// make sure and go down to the second page
if (window.scrollY) {
  window.scroll(0, 0);  // reset the scroll position to the top left of the document.
}

window.scrollByPages(1);</pre>

<h2 id="Notes">Notes</h2>

<p>Use this property to check that the document hasn't already been scrolled when using relative scroll functions such as {{domxref("window.scrollBy", "scrollBy()")}}, {{domxref("window.scrollByLines", "scrollByLines()")}}, or {{domxref("window.scrollByPages", "scrollByPages()")}}.</p>

<p>The <code>pageYOffset</code> property is an alias for the <code>scrollY</code> property:</p>

<pre class="brush: js">window.pageYOffset === window.scrollY; // always true</pre>

<p>For cross-browser compatibility, use <code>window.pageYOffset</code> instead of <code>window.scrollY</code>. <strong>Additionally</strong>, older versions of Internet Explorer (&lt; 9) do not support either property and must be worked around by checking other non-standard properties. A fully compatible example:</p>

<pre class="brush:js">var supportPageOffset = window.pageXOffset !== undefined;
var isCSS1Compat = ((document.compatMode || "") === "CSS1Compat");

var x = supportPageOffset ? window.pageXOffset : isCSS1Compat ? document.documentElement.scrollLeft : document.body.scrollLeft;
var y = supportPageOffset ? window.pageYOffset : isCSS1Compat ? document.documentElement.scrollTop : document.body.scrollTop;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSSOM View', '#dom-window-scrolly', 'window.scrollY') }}</td>
   <td>{{ Spec2('CSSOM View') }}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.scrollY")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.scrollX")}}</li>
</ul>
